﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.Storage;
using Windows.System.UserProfile;
using Windows.UI.Popups;

namespace CustomWallpage
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            string hd = "ms-appx:///Assets/";
            Uri[] uris =
            {
                new Uri(hd + "1.png"),
                new Uri(hd + "2.jpg"),
                new Uri(hd+"3.jpg"),
                new Uri(hd+"4.jpg")
            };

            lv.ItemsSource = uris;
        }

        private async void OnClick(object sender, RoutedEventArgs e)
        {
            MessageDialog msgbox = new MessageDialog("...");
            if (lv.SelectedIndex < 0)
            {
                msgbox.Content = "你必须先选择一张破图。";
                await msgbox.ShowAsync();
                return;
            }

            Uri imgUri = lv.SelectedItem as Uri;
            // 获取文件
            StorageFile file = await StorageFile.GetFileFromApplicationUriAsync(imgUri);
            // 设置壁纸
            if (!UserProfilePersonalizationSettings.IsSupported())
            {
                msgbox.Content = "人品问题，不支持的操作。";
                await msgbox.ShowAsync();
                return;
            }
            UserProfilePersonalizationSettings settings = UserProfilePersonalizationSettings.Current;
            bool b = await settings.TrySetWallpaperImageAsync(file);
            if (b)
            {
                msgbox.Content = "设置成功。";
            }
            else
            {
                msgbox.Content = "操作失败。";
            }
            await msgbox.ShowAsync();
        }
    }
}
